Next: COS, Previous: COMPLEX, Up: Intrinsic Procedures [Contents][Index]

### 9.68 `CONJG` — Complex conjugate function

Description:

  `CONJG(Z)` returns the conjugate of Z. If Z is `(x, y)` then the result is `(x, -y)`

Standard:

  Fortran 77 and later, has overloads that are GNU extensions

Class:

  Elemental function

Syntax:

  `Z = CONJG(Z)`

Arguments:

  Z | The type shall be `COMPLEX`.

Return value:

  The return value is of type `COMPLEX`.

Example:

      program test_conjg
          complex :: z = (2.0, 3.0)
          complex(8) :: dz = (2.71_8, -3.14_8)
          z= conjg(z)
          print *, z
          dz = dconjg(dz)
          print *, dz
      end program test_conjg

Specific names:

  Name | Argument | Return type | Standard
  `CONJG(Z)` | `COMPLEX Z` | `COMPLEX` | GNU extension
  `DCONJG(Z)` | `COMPLEX(8) Z` | `COMPLEX(8)` | GNU extension